#
# spec file for package guvcview

# Copyright (c) 2010 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.


Name:           guvcview
Version:        1.4.5
Release:        2.5
# Reference to GPL-2.0 in some files?
License:        GPL-3.0
Summary:        GTK+ UVC Viewer and Capturer
Url:            http://guvcview.berlios.de/
Group:          Productivity/Multimedia/Video/Players
Source0:        http://download.berlios.de/guvcview/guvcview-src-1.4.5.tar.gz
BuildRequires:  SDL-devel
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  libpng-devel
BuildRequires:  libudev-devel
BuildRequires:  libv4l-devel
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%lang_package

%description
A simple GTK interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%prep
%setup -q -n %{name}-src-%{version}
#Fix file permissions
chmod 0644 README COPYING

%build
CPPFLAGS=-I/usr/include/ffmpeg
export CPPFLAGS
%configure --enable-pulse \
           --disable-debian-menu \
		   --disable-desktop
make %{?_smp_mflags}

%install
%makeinstall
# Remove installed documentation
pushd %{buildroot}%{_datadir}/doc
rm -rf %{name}
popd
# Create desktop file as disabled during build
%suse_update_desktop_file -c %{name} "A video viewer and capturer for the linux uvc driver" %{name} %{name} %{name} AudioVideo AudioVideoEditing
pushd %{buildroot}%{_datadir}/pixmaps
cp %{name}/%{name}.png .
popd
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%clean
%{?buildroot:%__rm -rf %{buildroot}}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.gz

%files lang -f %{name}.lang

%changelog
* Mon Oct  3 2011 malcolmlewis@opensuse.org
- Fix guvcview.desktop file in spec file.
* Fri Jul  1 2011 malcolmlewis@opensuse.org
- Initial build based on fc15 spec file.
